{
    "compilerOptions": {
        "target": "ES2022",
        "module": "NodeNext",
        "moduleResolution": "NodeNext",
        "esModuleInterop": true,
        "strict": false,
        "strictNullChecks": true,
        "strictBindCallApply": true,
        "strictPropertyInitialization": true,
        "noUnusedLocals": false,
        "noImplicitAny": false,
        "forceConsistentCasingInFileNames": true,
        "noFallthroughCasesInSwitch": true,
        "isolatedModules": true,
        "resolveJsonModule": true,
        "removeComments": true,
        "newLine": "lf",
        "skipLibCheck": true,
        "lib": ["ESNext"],
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true,
        "baseUrl": ".",
        "paths": {
            "@/*": ["src/*"]
        },
        "outDir": "dist",
        "rootDir": "."
    },
    "include": ["src/**/*.ts"],
    "exclude": ["node_modules", "dist"]
}
